export interface Config {
    isQueueAsync?: boolean;
    timeoutInMS?: number;
}
export declare const useOfflineQueue: (config?: Partial<Config> | undefined) => {
    dequeueAll: () => void;
    dequeueAllAsync: () => Promise<void>;
    enqueue: (callback: Function) => void;
    isQueueEmpty: () => boolean;
    isOnline: boolean;
    peek: () => Function;
    queue: Function[];
};
